From: =?utf-8?q?Guido_G=C3=BCnther?= <agx@sigxcpu.org>
Date: Tue, 8 Sep 2020 17:53:53 +0200
Subject: drm/bridge: cadence: Always init all 4 lanes
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Guido Günther <guido.gunther@puri.sm>
---
 drivers/gpu/drm/imx/mhdp/cdns-mhdp-dp-phy.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/gpu/drm/imx/mhdp/cdns-mhdp-dp-phy.c b/drivers/gpu/drm/imx/mhdp/cdns-mhdp-dp-phy.c
index bb69430..345153e 100644
--- a/drivers/gpu/drm/imx/mhdp/cdns-mhdp-dp-phy.c
+++ b/drivers/gpu/drm/imx/mhdp/cdns-mhdp-dp-phy.c
@@ -109,7 +109,7 @@ static void dp_aux_cfg(struct cdns_mhdp_device *mhdp)
 /* PMA common configuration for 27MHz */
 static void dp_phy_pma_cmn_cfg_27mhz(struct cdns_mhdp_device *mhdp)
 {
-	u32 num_lanes = mhdp->dp.num_lanes;
+	u32 num_lanes = 4;
 	u16 val;
 	int k;
 
@@ -160,7 +160,7 @@ static void dp_phy_pma_cmn_cfg_27mhz(struct cdns_mhdp_device *mhdp)
 
 static void dp_phy_pma_cmn_pll0_27mhz(struct cdns_mhdp_device *mhdp)
 {
-	u32 num_lanes = mhdp->dp.num_lanes;
+	u32 num_lanes = 4;
 	u32 link_rate = mhdp->dp.rate;
 	u16 val;
 	int index, i, k;
